apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: app-loki
  namespace: infra-argocd
  labels:
    app.kubernetes.io/name: helm-infra-argocd
    app.kubernetes.io/component: app-loki
    app.kubernetes.io/managed-by: helm-infra-argocd
spec:
  destination:
    namespace: app-loki
    server: https://kubernetes.default.svc
  project: app-loki
  syncPolicy:
    automated: {}
  source:
    repoURL: https://grafana.github.io/helm-charts
    chart: loki-distributed
    targetRevision: v0.79.0
    helm:
      values: |-
        fullnameOverride: app-loki
        loki:
          image:
            registry: docker.io
            repository: grafana/loki
            tag: 2.9.8
          structuredConfig:
            limits_config:
              enforce_metric_name: false
              reject_old_samples: true
              reject_old_samples_max_age: 168h
              max_cache_freshness_per_query: 24h
              split_queries_by_interval: 24h
              max_query_length: 168h
              max_query_parallelism: 64
              allow_structured_metadata: true
              max_global_streams_per_user: 1000000
              max_streams_per_user: 100000
              max_entries_limit_per_query: 5000000
            chunk_store_config:
              max_look_back_period: 168h
            table_manager:
              retention_deletes_enabled: true
              retention_period: 168h
            ingester:
              chunk_block_size: 26214400
              chunk_target_size: 157286400
              chunk_idle_period: 168h
              chunk_retain_period: 168h
              max_chunk_age: 168h
        server:
          http_listen_port: 3100
        frontend:
          log_queries_longer_than: 60s
          compress_responses: true
        compactor:
          enabled: true
        memberlist:
          join_members:
            - loki-memberlist
        indexGateway:
          enabled: true